Bug 224113 - devel/gogs: Switch to "git" user, move the configuration files to /usr/local/etc
Summary: devel/gogs: Switch to "git" user, move the configuration files to /usr/local/etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://lists.freebsd.org/pipermail/f...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-05 14:35 UTC by Dmitri Goutnik
Modified: 2017-12-18 23:57 UTC (History)
4 users (show)

See Also:


Attachments
patch file (3.19 KB, patch)
2017-12-05 14:35 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
New location for app.ini (3.95 KB, patch)
2017-12-06 11:28 UTC, Felix Z.
no flags Details | Diff
patch file (6.74 KB, patch)
2017-12-06 16:40 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
patch file (6.74 KB, patch)
2017-12-06 16:43 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
patch file (6.74 KB, patch)
2017-12-06 17:31 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
patch file (8.94 KB, patch)
2017-12-13 22:37 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2017-12-05 14:35:47 UTC
Created attachment 188551 [details]
patch file

* Switch Gogs user from "gogs" to "git"
* While here, change RUN_MODE from "dev" to "prod"
* Bump PORTREVISION
* Add UPDATING entry

QA:
  portlint -AC: OK
  poudriere testport: OK (11a, 10i)
Comment 1 Felix Z. 2017-12-06 11:27:41 UTC
Hi Dmitri.
Can you move the configuration files to /usr/local/etc ?
Comment 2 Felix Z. 2017-12-06 11:28:00 UTC
Created attachment 188581 [details]
New location for app.ini

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224113#c1
Comment 3 Dmitri Goutnik freebsd_committer 2017-12-06 16:40:44 UTC
Created attachment 188587 [details]
patch file

Hi Felix,

Thank you for your patch, I've incorporated it with some changes.
Comment 4 Dmitri Goutnik freebsd_committer 2017-12-06 16:43:26 UTC
Created attachment 188588 [details]
patch file
Comment 5 Dmitri Goutnik freebsd_committer 2017-12-06 17:31:37 UTC
Created attachment 188590 [details]
patch file

Fix portlint warning.
Comment 6 Felix Z. 2017-12-07 05:14:39 UTC
(In reply to Dmitri Goutnik from comment #3)

Dmitri, thanks!
Comment 7 Yuri Victorovich freebsd_committer 2017-12-12 23:51:53 UTC
https://reviews.freebsd.org/D13469
Comment 8 Dmitri Goutnik freebsd_committer 2017-12-13 22:37:05 UTC
Created attachment 188814 [details]
patch file

Make "Log path" input read-only on the Install page.
Based on the latest https://reviews.freebsd.org/D13469
Comment 9 commit-hook freebsd_committer 2017-12-18 23:57:14 UTC
A commit references this bug:

Author: yuri
Date: Mon Dec 18 23:57:07 UTC 2017
New revision: 456695
URL: https://svnweb.freebsd.org/changeset/ports/456695

Log:
  devel/gogs: Changed user from gogs to git; Moved ini file under /usr/local/etc

  PR:		224113
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13469

Changes:
  head/GIDs
  head/UIDs
  head/UPDATING
  head/devel/gogs/Makefile
  head/devel/gogs/files/gogs-rm-data.in
  head/devel/gogs/files/gogs-service.in
  head/devel/gogs/files/gogs.in
  head/devel/gogs/files/patch-templates_install.tmpl
  head/devel/gogs/files/pkg-message.in
  head/devel/gogs/pkg-plist
Comment 10 Yuri Victorovich freebsd_committer 2017-12-18 23:57:19 UTC
Committed, thanks!